## prelude-correlator 5.2.0

=== selinux/Makefile ===
TARGETS?= prelude-correlator
MODULES?=${TARGETS:=.pp.bz2}

all: ${TARGETS:=.pp.bz2}

%.pp.bz2: %.pp
	@echo Compressing $^ -\ $@
	bzip2 -9 $^

%.pp: %.te
	make -f /usr/share/selinux/devel/Makefile $@

clean:
	make -f /usr/share/selinux/devel/Makefile clean
	rm -f *.pp.bz2

## prelude-correlator 4.1.1

=== debian/changelog ===
prelude-correlator (4.1.1-2) unstable; urgency=medium

  * d/prelude-correlator.postinst: fix chown calls on non existing files

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Sun, 18 Mar 2018 14:00:00 +0100

prelude-correlator (4.1.1-1) unstable; urgency=medium

  * Bump version 4.1.1
    - Update dependencies: libprelude 4.1 is required and also prelude-utils
  * d/control:
    - Update description
    - Update Vcs-* fields to salsa
    - Bump Standards-Version to 4.1.3
  * d/prelude-correlator.postinst, do no use chown -R
  * Remove support for python2
  * Add support for python3
  * Update copyrights dates

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 13 Mar 2018 14:00:00 +0100

prelude-correlator (3.1.0+ds-1) unstable; urgency=medium

  * Addition of the upstream signing key
  * Addition of d/source/format file
  * Updating rules file
    - Add systemd support
    - Reoganize dh call
  * Update of watch file
    - Update URL since upstream website moved
    - Add GPG check
  * Migrate from init.d to systemd (Closes: #750923)
    - Remove init script and add .maintscript to handle update
    - Add service and tmpfile
    - Update postrm and postinst
  * d/postinst d/postrm: change the user of prelude-correlator from
      prelude-correlator to prelude
  * Remove unnecessary files
    - dirs
    - prelude-correlator.examples
    - prelude-correlator.install
  * Rename docs to prelude-correlator.docs
  * Update README.debian
  * New upstream release 3.1.0 (Closes: #884673, #585270)
  * Control:
    - Add Thomas Andrejak as uploader
    - Change Priority from extra to optional
    - Add Vcs fields
    - Bump Standards-Version to 4.1.2
    - Bump debhelper compat level to 11
    - Remove X-Python-Version
    - Set Homepage field
    - Add python-netaddr depend (Closes: #741414)
  * Rewriting of copyright file to fit the machine-readable format
  * Add missing copyright information

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Mon, 18 Dec 2017 00:10:00 +0100

prelude-correlator (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Port from python-support to dh-python (Closes: #786006)
  * Replace pyversions with X-Python-Version

 -- Ross Gammon <rossgammon@mail.dk>  Mon, 28 Sep 2015 21:18:41 +0200

prelude-correlator (1.0.0-1) unstable; urgency=low

  * Imported Upstream version 1.0.0
  * Fix watch file
  * Install sample plugin in /usr/share/doc

 -- Pierre Chifflier <pollux@debian.org>  Thu, 18 Mar 2010 17:19:40 +0100

prelude-correlator (1.0.0~rc4-1) unstable; urgency=low

  * Imported Upstream version 1.0.0rc4
  * Update watch file
  * Use --install-layout=deb option to setup.py install
  * Install example plugin in /usr/share/doc

 -- Pierre Chifflier <pollux@debian.org>  Mon, 08 Mar 2010 23:07:50 +0100

prelude-correlator (1.0.0~rc2-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.8.4

 -- Pierre Chifflier <pollux@debian.org>  Thu, 04 Feb 2010 23:10:09 +0100

prelude-correlator (0.9.0~beta8-2) unstable; urgency=low

  * Fix paths in setupconfig.py
  * Use recursive chown on /var/lib/prelude-correlator to also change
    the .dat files

 -- Pierre Chifflier <pollux@debian.org>  Mon, 23 Nov 2009 16:21:18 +0100

prelude-correlator (0.9.0~beta8-1) unstable; urgency=low

  * New upstream release
  * Lower setuptools requirement, not useful

 -- Pierre Chifflier <pollux@debian.org>  Fri, 13 Nov 2009 16:00:18 +0100

prelude-correlator (0.9.0~beta7-1) unstable; urgency=low

  * New upstream release:
    - New SpamhausDrop plugin
    - Python 2.4 backward compatibility fixes
    - Handle plugin loading error gracefully
    - Improve WormPlugin accuracy
    - Dshield CorrelationAlert now handle multiples events

 -- Pierre Chifflier <pollux@debian.org>  Mon, 02 Nov 2009 19:03:20 +0100

prelude-correlator (0.9.0~beta6-2) unstable; urgency=high

  * Add dependency on python-pkg-resources (Closes: #544561)
  * Urgency high, serious bug
  * Bump standards version to 3.8.3 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Thu, 10 Sep 2009 22:13:55 +0200

prelude-correlator (0.9.0~beta6-1) unstable; urgency=low

  * New Upstream Version

 -- Pierre Chifflier <pollux@debian.org>  Sat, 11 Jul 2009 14:29:23 +0200

prelude-correlator (0.9.0~beta5-1) unstable; urgency=low

  * New upstream release
    - Prelude Correlator has switched to Python, see
    http://lists.prelude-ids.org/pipermail/prelude-user/2009-April/005163.html
    for the explanation.
    - Support DShield <http://www.dshield.org/> correlation
  * Switch package to architecture-independant
  * Use python-support
  * Bump standards version to 3.8.2 (no changes)

 -- Pierre Chifflier <pollux@debian.org>  Fri, 19 Jun 2009 14:30:51 +0200

prelude-correlator (0.9.0~beta3-2) unstable; urgency=high

  * Bump standards version to 3.8.1 (no changes)
  * Fix FTBFS (Closes: #527531)
  * Urgency high, RC bug

 -- Pierre Chifflier <pollux@debian.org>  Fri, 08 May 2009 21:47:15 +0200

prelude-correlator (0.9.0~beta3-1) unstable; urgency=low

  * New (beta) upstream release

 -- Pierre Chifflier <pollux@debian.org>  Fri, 11 Jul 2008 15:15:38 +0200

prelude-correlator (0.9.0~beta2-3) unstable; urgency=low

  * Add init script
  * Create dedicated prelude-correlator user
  * Run daemon as non-privileged user prelude-correlator
  * Add some notes on what to do after installation

 -- Pierre Chifflier <pollux@debian.org>  Wed, 09 Jul 2008 17:12:16 +0200

prelude-correlator (0.9.0~beta2-2) unstable; urgency=low

  * Add pkg-config to build dependencies (Closes: #490026)

 -- Pierre Chifflier <pollux@debian.org>  Wed, 09 Jul 2008 13:58:50 +0200

prelude-correlator (0.9.0~beta2-1) unstable; urgency=low

  * Initial release (Closes: #488664)

 -- Pierre Chifflier <pollux@debian.org>  Mon, 07 Jul 2008 10:03:37 +0200

=== debian/control ===
Source: prelude-correlator
Section: admin
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Uploaders: Thomas Andrejak <thomas.andrejak@gmail.com>
Build-Depends: debhelper (>= 11),
    dh-python,
    python3-all,
    python3-setuptools,
    python3-prelude (>= 4.1.0),
Standards-Version: 4.1.3
Homepage: https://www.prelude-siem.org/
Vcs-Browser: https://salsa.debian.org/totol-guest/prelude-correlator
Vcs-Git: https://salsa.debian.org/totol-guest/prelude-correlator.git

Package: prelude-correlator
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends},
    python3-prelude (>= 4.1.0),
    python3-pkg-resources,
    python3-netaddr,
    prelude-utils (>= 4.1.0),
    adduser,
Description: Security Information and Events Management System [ Correlator ]
 Prelude-Correlator allows conducting multi-stream correlations
 thanks to a powerful programming language for writing correlation
 rules. With any type of alert able to be correlated, event
 analysis becomes simpler, quicker and more incisive. This
 correlation alert then appears within the Prewikka interface
 and indicates the potential target information via the set of
 correlation rules.
 .
 The features currently include:
  * Rapid identification of important security events, enabling the analyst to
    assign task priorities
  * Alert correlation originally from heterogeneous sensors deployed on the
    whole infrastructure
  * Real-time analysis of events received by the Prelude Manager

=== debian/watch ===
version=3

opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,pgpsigurlmangle=s/$/.sig/ https://www.prelude-siem.org/pkg/src/([\d\.]*)/prelude-correlator-([\d\.]*)\.tar\.gz

## prelude-correlator 5.1.0+ds

=== debian/changelog ===
prelude-correlator (5.1.0+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 12 Nov 2019 12:07:24 +0200

prelude-correlator (5.1.0+ds-1) experimental; urgency=medium

  * Bump version 5.1.0
  * d/control:
    - Migrate from debhelper to debhelper-compat
    - Update Standard-Version to 4.4.1
    - Add Rules-Requires-Root to no
    - Bump DebHelper to 12
    - Bump prelude dependencies to 5.1
  * Update postinst script (Closes: #908243)
  * Update copyrights dates
  * Add d.u.metadata
  * Add hardening feature in systemd file
  * Remove patch: 001-fix_python3.patch
  * d/copyright: Add Files-Excluded for .pyc files

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Fri, 11 Oct 2019 09:00:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Priority: optional
 Maintainer: Pierre Chifflier <pollux@debian.org>
 Uploaders: Thomas Andrejak <thomas.andrejak@gmail.com>
-Build-Depends: debhelper (>= 11),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
     dh-python,
     python3-all,
     python3-setuptools,
-    python3-prelude (>= 4.1.0),
-Standards-Version: 4.1.3
+    python3-prelude (>= 5.1.0),
+Standards-Version: 4.4.1
 Homepage: https://www.prelude-siem.org/
 Vcs-Browser: https://salsa.debian.org/totol-guest/prelude-correlator
 Vcs-Git: https://salsa.debian.org/totol-guest/prelude-correlator.git
@@ -16,10 +17,10 @@
 Package: prelude-correlator
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends},
-    python3-prelude (>= 4.1.0),
+    python3-prelude (>= 5.1.0),
     python3-pkg-resources,
     python3-netaddr,
-    prelude-utils (>= 4.1.0),
+    prelude-utils (>= 5.1.0),
     adduser,
 Description: Security Information and Events Management System [ Correlator ]
  Prelude-Correlator allows conducting multi-stream correlations

## prelude-correlator 5.2.0

=== debian/changelog ===
prelude-correlator (5.2.0-1) unstable; urgency=medium

  * Bump version 5.2.0
    - d.control:
      - Update Prelude 5.2 dependencies
      - Bump debhelper version to 13
      - Bump Standards-Version to 4.5.1
    - d.copyright:
      - CS SI to CS GROUP
      - Remove comments about pyc files which no longer exist
    - Update d.u.metadata: add missing fields
    - d.watch: bump version to 4

 -- Thomas Andrejak <thomas.andrejak@gmail.com>  Tue, 17 Nov 2020 20:53:39 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = prelude-correlator
export PYBUILD_TEST_PYTEST = 0

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_install:
	dh_install
	mkdir -pv $(CURDIR)/debian/prelude-correlator/var/spool/prelude/prelude-correlator

override_dh_clean:
	dh_clean
	rm -rf setuptools*

%:
	dh $@ --with=python3 --buildsystem=pybuild

=== debian/watch ===
version=4

opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,pgpsigurlmangle=s/$/.sig/ https://www.prelude-siem.org/pkg/src/([\d\.]*)/prelude-correlator-([\d\.]*)\.tar\.gz
